# class DBus::Data::Int

Represents integers

### Public Class Methods

new(value) click to toggle source

@param value [::Integer,DBus::Data::Int] @raise RangeError

Calls superclass method `DBus::Data::Base::new`

        # File lib/dbus/data.rb
    170 def initialize(value)
    171   value = value.value if value.is_a?(self.class)
    172   r = self.class.range
    173   raise RangeError, "#{value.inspect} is not a member of #{r}" unless r.member?(value)
    174
    175   super(value)
    176 end